Class | Chef::Resource::PlatformMap
In: | lib/chef/resource_platform_map.rb
Parent: | Object

### Methods

filter get new set

### Included Modules

Chef::Mixin::ParamsValidate Chef::Mixin::ConvertToClassName

### Attributes

map | [R] |

### Public Class methods

new(map={:default => {}})

### Public Instance methods

filter(platform, version)
get(short_name, platform=nil, version=nil)
set(args)

[Validate]